\name{rSeqNP-package}
\alias{rSeqNP}
\docType{package}
\title{
rSeqNP is an R package designed to use non-parametric approaches for testing differential expression and differential splicing of genes from RNA-seq data
}
\description{
rSeqNP can detect both gene differential expression (DE) and differential splicing (DS) and can be applied to a variety of RNA-seq experimental designs, including two (unpaired or paired) conditions, multiple conditions, quantitative outcomes and survival outcomes. It performs two types of tests. The first test is to identify DE genes and isoforms using the standard non-parametric tests based on ranks of the expressions of the genes and isoforms. The second test is to identify differential genes (either DE or DS) based on the permutation test of the gene differential score (GDS).
}
\details{
\tabular{ll}{
Package: \tab rSeqNP\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2015-01-01\cr
License: \tab Artistic-2.0\cr
}
The package contains the following functions: \code{\link{read.rseq}} and \code{\link{read.rsem}} functions can read the estimated expression values of genes and isoforms of RNA-Seq samples quantified by the software packages rSeq and RSEM, respectively; \code{\link{rSeqNP.Main}} is the main function of the package that can perform the tests for gene differential expression and splicing. \code{\link{volcano.plot}} function can generate graphical summaries for the test of two group comparisons.
}
\author{
Yang Shi and Hui Jiang, with contributions from Jun Li
}
\references{
Yang Shi, Arul M Chinnaiyan and Hui Jiang (2015). rSeqNP: A non-parametric approach for detecting differential expression and splicing from RNA-Seq data (in revision).

Hui Jiang and Wing Hung Wong (2009). Statistical inferences for isoform expression in RNA-Seq, Bioinformatics, 25, 1026-1032.

Julia Salzman, Hui Jiang and Wing Hung Wong (2011). Statistical Modeling of RNA-Seq Data, Statistical Science, 26 (1): 62-83.

Jun Li and Robert Tibshirani (2013). Finding consistent patterns: a nonparametric approach for identifying differential expression in RNA-Seq data, Statistical methods in medical research, 22, 519-536.
}
