\name{read.rseq}
\alias{read.rseq}
\title{Read the output files from rSeq}
\description{
This function reads the output files from rSeq (version 0.2.0). The returned list from this function can be used as the input data for \code{rSeqNP.Main} function.
}
\usage{
read.rseq(file)
}
\arguments{
  \item{file}{This is the absolute path of the file that contains either the file names or the absolute paths of the output files from rSeq, with one file per line.
}
}
\value{
a list that contains the following two data-frames: 
\item{iso.exp }{a data-frame contains the expression values for the isoforms, with the 1st column as the gene names, the 2nd column as the isoform names, the 3rd column as the number of isoforms corresponding to the genes and the rest of the columns as the expression values (in RPKM or FPKM or other normalized unit) of the isoforms in each sample.
}
\item{gene.exp }{a data-frame contains the expression values for the genes, with the 1st column as the gene names, the 2nd column as the number of isoforms of the genes and the rest columns being the expression values(in RPKM or FPKM or other normalized unit) of the genes in each sample.
}
}
\author{Yang Shi and Hui Jiang}
\seealso{
\code{\link{rSeqNP.Main}}
}
\examples{
##read the rSeq processed output files from a simulated RNA-Seq dataset
simulated_data_dir = system.file('extdata','rseq_data_simulated', package='rSeqNP')
setwd(simulated_data_dir)
mydata = read.rseq('samplelist_rseq.txt')
}

\keyword{ process_file }
