\name{volcano.plot}
\alias{volcano.plot}
\title{Generate volcano plots for visualizing the test results from two group comparison}

\description{
This function generates volcano plots (plot of the fold changes of genes or isoforms v.s. the p-values of the tests) for visualizing the test results from (paired or unpaired) two group comparison.
}

\usage{
volcano.plot(result, filter = T, ...)
}

\arguments{
  \item{result}{A data-frame contains the test results for isoforms (\code{isoform.DE.result} data-frame from the \code{rSeqNP.Main} function) or genes (\code{gene.DE.result} data-frame from the \code{rSeqNP.Main} function). See the help of \code{\link{rSeqNP.Main}} function.
}
  \item{filter}{This argument tells whether removing those isoforms or genes that have low
expression levels in one group (as identified by the value of \code{if.low} in the result returned from the \code{\link{rSeqNP.Main}} function, where \code{if.low} is \code{TRUE} for those isoforms or genes) when generating the volcano plot. \code{TRUE} for removing those isoforms or genes; \code{FALSE} for not removing those isoforms or genes.
}
  \item{\dots}{The graphical parameters to be parsed to the \code{\link{plot}} function}
}

\value{No return, but a volcano plot is generated.}

\author{Yang Shi and Hui Jiang}

\seealso{
\code{\link{rSeqNP.Main}}, \code{\link{plot}}
}

\examples{
##First need run the rSeqNP.main function to perform the tests and obtain the test results
##See the user manual for a detailed example

##result = rSeqNP.Main(exp_object=data, type='twoclass', outcome=c(rep(1,10), rep(2,10)))
##iso.DE.res = result$isoform.DE.result
##gene.DE.res = result$gene.DE.result

##The following command is in one line
##volcano.plot(iso.DE.res, xlim=c(-10,10), pch=20, xlab='Log 2 fold change',
##             ylab=expression(-log~10~italic(p)-value))

##The following command is in one line
##volcano.plot(iso.DE.res, filter=F, xlim=c(-10,10), pch=20, xlab='Log 2 fold change',
##             ylab=expression(-log~10~italic(p)-value))                              
}

\keyword{ plot }
\keyword{ summary }
